public static interface GoogleDriveEndpointBuilderFactory.GoogleDriveBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder |
googleDrive(String path)
Google Drive (camel-google-drive)
Manage files in Google Drive.
|
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder |
googleDrive(String componentName,
String path)
Google Drive (camel-google-drive)
Manage files in Google Drive.
|
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder googleDrive(String path)
google-drive:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 13 enums and the value can be one of: DRIVE_ABOUT,
DRIVE_APPS, DRIVE_CHANGES, DRIVE_CHANNELS, DRIVE_CHILDREN,
DRIVE_COMMENTS, DRIVE_FILES, DRIVE_PARENTS, DRIVE_PERMISSIONS,
DRIVE_PROPERTIES, DRIVE_REALTIME, DRIVE_REPLIES, DRIVE_REVISIONS
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 13 enums and the value can be one of: copy, delete, get,
getIdForEmail, insert, list, patch, stop, touch, trash, untrash,
update, watchpath - apiName/methodNamedefault GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder googleDrive(String componentName, String path)
google-drive:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 13 enums and the value can be one of: DRIVE_ABOUT,
DRIVE_APPS, DRIVE_CHANGES, DRIVE_CHANNELS, DRIVE_CHILDREN,
DRIVE_COMMENTS, DRIVE_FILES, DRIVE_PARENTS, DRIVE_PERMISSIONS,
DRIVE_PROPERTIES, DRIVE_REALTIME, DRIVE_REPLIES, DRIVE_REVISIONS
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 13 enums and the value can be one of: copy, delete, get,
getIdForEmail, insert, list, patch, stop, touch, trash, untrash,
update, watchcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel